Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/scripts/repo-add
diff options
context:
space:
mode:
authorAndrew Fyfe <andrew@neptune-one.net>2007-04-02 00:55:01 +0100
committerDan McGee <dan@archlinux.org>2007-04-01 21:52:28 -0400
commit9c9e18ef32c0cf3fe33ed251d28c70651bb85f65 (patch)
treee5f0dced39295c5e8a22b0a170d82b8d2bba0af1 /scripts/repo-add
parentea3a182dbfed4975eb5f2950b1c66bef53707f9a (diff)
Tidy up usage of makepkg.conf
Moved the following variables into /etc/makepkg.conf * BUILDSCRIPT * PKGEXT * DB_COMPRESSION * DB_CHECKSUMS Cleaned up sourcing of /etc/makepkg.conf in scripts and source ~/.makepkg.conf if it exists. Signed-off-by: Andrew Fyfe <andrew@neptune-one.net> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts/repo-add')
-rwxr-xr-xscripts/repo-add15
1 files changed, 12 insertions, 3 deletions
diff --git a/scripts/repo-add b/scripts/repo-add
index dc280161..8b81c34e 100755
--- a/scripts/repo-add
+++ b/scripts/repo-add
@@ -23,9 +23,6 @@ myver='3.0.0'
FORCE=0
REPO_DB_FILE=""
-
-DB_COMPRESSION="gz" #TODO this is gross
-DB_CHECKSUMS=(md5)
TMP_DIR=""
# print usage instructions
@@ -224,6 +221,18 @@ if [ $# -lt 2 ]; then
exit 1
fi
+# source system and user makepkg.conf
+if [ -r /etc/makepkg.conf ]; then
+ source /etc/makepkg.conf
+else
+ echo "ERROR: /etc/makepkg.conf not found. Can not continue." >&2
+ exit 1 # $E_CONFIG_ERROR # TODO: error codes
+fi
+
+if [ -r ~/.makepkg.conf ]; then
+ source ~/.makepkg.conf
+fi
+
# main routine
if [ $# -gt 1 ]; then
gstmpdir=$(mktemp -d /tmp/gensync.XXXXXXXXXX) || (\